Select Vertical planes - Select Horizontal planes
-
Hey guys, quick question... I have a site model done in 1' increments (kind of big) and I would like to assign a texture to all the horizontal planes. To do so, I'm planning to use the ThruPaint plugin (Projected UV), which would make it a piece of cake.
Now my question is... how could I select all the vertical planes and assign another color?
Too many and too small for me to select one by one.... I'm sure there's plugin somewhere that can do this task
Thanks!
-
Copy+paste these one-liners into the Ruby Console + <enter>
All horizontal [flat] faces - UP and DOWN - in a selection:s=Sketchup.active_model.selection;a=s.to_a;s.clear;s.add(a.grep(Sketchup;;Face).select{|e| e.normal.parallel?(Z_AXIS)})
All horizontal [flat] faces - UP only - in a selection:
s=Sketchup.active_model.selection;a=s.to_a;s.clear;s.add(a.grep(Sketchup;;Face).select{|e| e.normal==Z_AXIS})
All horizontal [flat] faces - DOWN only - in a selection:
s=Sketchup.active_model.selection;a=s.to_a;s.clear;s.add(a.grep(Sketchup;;Face).select{|e| e.normal==Z_AXIS.reverse})
All vertical Faces in a selection:
s=Sketchup.active_model.selection;a=s.to_a;s.clear;s.add(a.grep(Sketchup;;Face).select{|e| e.normal.z==0})
-
THANKS TIG!!!
that was pretty awesome!
Advertisement